Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class PositionHint

    java.lang.Object
      jcckit.plot.PositionHint

All Implemented Interfaces:
  Hint

public class PositionHint
extends java.lang.Object
implements Hint

An immutable `Hint` capsulating two `GraphPoints`.

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `ORIGIN_KEY` Configuration parameter key.
`static java.lang.String` | `POSITION_KEY` Configuration parameter key.

Constructor Summary
`PositionHint(ConfigParameters config)` Creates an instance from the specified configuration parameters.
`PositionHint(GraphPoint origin, GraphPoint position)` Creates an instance based on two points.

Method Summary
`GraphPoint` | `getOrigin()` Returns the origin.
`GraphPoint` | `getPosition()` Returns the position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITION_KEY

    public static final java.lang.String POSITION_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

### ORIGIN_KEY

    public static final java.lang.String ORIGIN_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

Constructor Detail

### PositionHint

    public PositionHint(ConfigParameters config)

  Creates an instance from the specified configuration parameters.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `position = null` | `double[]` | no | Definition of position.
  `origin = position` or (0,0) if `position` undefined | `double[]` | no | Definition of origin.

### PositionHint

    public PositionHint(GraphPoint origin,
                        GraphPoint position)

  Creates an instance based on two points.

Parameters:
  `origin` - The origin.
  `position` - The position.

Method Detail

### getPosition

    public GraphPoint getPosition()

  Returns the position.

### getOrigin

    public GraphPoint getOrigin()

  Returns the origin.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD